### Method

# Gimp Drawable free_shadow

#### Declaration [src]

    gboolean
    gimp_drawable_free_shadow (
      GimpDrawable* drawable
    )

#### Description [src]

Free the specified drawable’s shadow data (if it exists).

This procedure is intended as a memory saving device. If any shadow memory has been allocated, it will be freed automatically when the drawable is removed from the image, or when the plug-in procedure which allocated it returns.

Available since: | 2.6

#### Return value

Returns: | `gboolean`
| TRUE on success.